Zope 2 should require nt_svcutils only on Windows

Bug #634942 reported by Arfrever Frehtes Taifersar Arahesis on 2010-09-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Zope 2
Fix Released
Low
Hanno Schlichting

Bug Description

src/Zope2/Startup/zopectl.py uses nt_svcutils only on Windows, but setup.py currently requires also on Unix systems. I suggest that setup.py shouldn't require nt_svcutils on non-Windows systems, because nt_svcutils will never be used on non-Windows systems, so it doesn't need to be installed. I'm attaching the patch for setup.py.

Changed in zope2:
assignee: nobody → Hanno Schlichting (hannosch)
importance: Undecided → Low
milestone: none → 2.13.0a5
status: New → Confirmed
Changed in zope2:
status: Confirmed → Fix Committed
Changed in zope2:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers